diff --git a/src/util/server.c b/src/util/server.c
index d00db31..6488e2a 100644
--- a/src/util/server.c
+++ b/src/util/server.c
@@ -373,7 +373,7 @@ static void te_server_hup(struct tevent_context *ev,
     ret = monitor_common_rotate_logs(lctx->confdb, lctx->confdb_path);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Could not reopen log file [%s]\n",
-                                     strerror(ret));
+                                     sss_strerror(ret));
     }
 }
 
@@ -423,7 +423,7 @@ int server_setup(const char *name, int flags,
         ret = pidfile(PID_PATH, name);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error creating pidfile: %s/%s! "
-                  "(%d [%s])\n", PID_PATH, name, ret, strerror(ret));
+                  "(%d [%s])\n", PID_PATH, name, ret, sss_strerror(ret));
             return ret;
         }
     }
@@ -485,7 +485,7 @@ int server_setup(const char *name, int flags,
                              &debug_level);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) "
-                                         "[%s]\n", ret, strerror(ret));
+                                         "[%s]\n", ret, sss_strerror(ret));
             return ret;
         }
 
@@ -500,7 +500,7 @@ int server_setup(const char *name, int flags,
                               &dt);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) "
-                                         "[%s]\n", ret, strerror(ret));
+                                         "[%s]\n", ret, sss_strerror(ret));
             return ret;
         }
         if (dt) debug_timestamps = 1;
@@ -515,7 +515,7 @@ int server_setup(const char *name, int flags,
                               &dm);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) "
-                                         "[%s]\n", ret, strerror(ret));
+                                         "[%s]\n", ret, sss_strerror(ret));
             return ret;
         }
         if (dm) debug_microseconds = 1;
@@ -529,7 +529,7 @@ int server_setup(const char *name, int flags,
                           dl, &dl);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-                                     ret, strerror(ret));
+                                     ret, sss_strerror(ret));
         return ret;
     }
     if (dl) debug_to_file = 1;
@@ -552,7 +552,7 @@ int server_setup(const char *name, int flags,
         ret = open_debug_file();
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error setting up logging (%d) "
-                                         "[%s]\n", ret, strerror(ret));
+                                         "[%s]\n", ret, sss_strerror(ret));
             return ret;
         }
     }
-- 
1.7.11.2

